<?php
abstract class DomainClass
{
	protected $entityData = array();
	protected $classContext = null;

	function __construct( $classContext) {
		$this->classContext = $classContext;
	}


	public function export( $sanitize = false, $castDatatypes = false) {
		return $this->entityData;
	}	
	
	//returns null if property doesn't exist
	public function get( $property) {
		if( $this->propertyExists( $property) ) {
			return $this->entityData[ $property];			
		} else {
			return null;
		}
	}

	public function set( $property, $value) {
		$this->entityData[ $property] = $value;
	}

	public function propertyExists( $property) {
		return array_key_exists( $property, $this->entityData);
	}


	public function isEmpty( $property) {
		if( empty( $this->get( $property) ) ) {
			return true;
		}
		return false;
	}

}
?>