<?php

//pre-defined resources - value will be the name of the resource directory /resources/xxx
define('JAVASCRIPT', 'javascript');
define('CSS', 'css');
define('IMAGES', 'images');
//define('FONTS', 'fonts');
//define('DOWNLOADS', 'downloads');

//how to treat folders under the resources directory
//actually, if none of the above, just assume 'simple type'??? 
$SIMPLE_RESOURCE_TYPES = array(
	'audio' => 1,
	'flash' => 1,
	'videos' => 1,
	'uploads' => 1,
	'applets' => 1,
	'fonts' => 1,
	'downloads' => 1
);

//resource list
//$URL_RESOURCE_MAP = array ( CSS => 1, JAVASCRIPT => 1, IMAGES => 1, FONTS => 1, DOWNLOADS => 1 );
//$URL_RESOURCE_MAP = array ( CSS => 1, JAVASCRIPT => 1, IMAGES => 1, DOWNLOADS => 1 );
//$URL_RESOURCE_MAP = array ( CSS => 1, JAVASCRIPT => 1, IMAGES => 1, DOWNLOADS => 1);
$URL_RESOURCE_MAP = array ( CSS => 1, JAVASCRIPT => 1, IMAGES => 1);

$EXTENSION_CONTENT_TYPE_MAP = array(
	'apk' => 'application/vnd.android.package-archive',
	'flv' => 'video/x-flv',
	'swf' => 'application/x-shockwave-flash',
	'jpg' => 'image/jpeg',
	'jpeg' => 'image/jpeg',
	'jpe' => 'image/jpeg',
	'png' => 'image/png',
	'ico' => 'image/png',
	'jar' => 'application/java-archive',
	'eot' => 'application/vnd.ms-fontobject',
	'otf' => 'application/octet-stream',		//"font/opentype".
	//'ttf' => 'application/octet-stream',
	'ttf' => 'application/x-opentype',
	//'ttf' => 'application/font-opentype',
	'zip' => 'application/zip',
	'pdf' => 'application/pdf',
	'class' => 'application/java-vm',
	//'class' => 'application/octet-stream',			
	'js' => 'application/javascript',
	//'js' => 'application/x-javascript',
	'cpt'   => 'application/mac-compactpro',
	'doc'   => 'application/msword',
	'docx'   => 'application/vnd.openxmlformats-officedocument.wordprocessingml.document',
	'bin'   => 'application/macbinary',
	'dms'   => 'application/octet-stream',
	'lha'   => 'application/octet-stream',
	'lzh'   => 'application/octet-stream',
	'exe'   => 'application/octet-stream',
	'psd'   => 'application/octet-stream',
	'so'    => 'application/octet-stream',
	'sea'   => 'application/octet-stream',
	'dll'   => 'application/octet-stream',
	'ogg'	=>	'audio/ogg',
	'oda'   => 'application/oda',
	'ai'    => 'application/postscript',
	'eps'   => 'application/postscript',
	'smi'   => 'application/smil',
	'smil'  => 'application/smil',
	'mif'   => 'application/vnd.mif',
	'xls'   => 'application/vnd.ms-excel',
	'xlsx'   => 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet',
	'ps'    => 'application/postscript',
	'ppt'   => 'application/vnd.ms-powerpoint',
	'pptx'  => 'application/vnd.openxmlformats-officedocument.presentationml.presentation',
	'wbxml' => 'application/vnd.wap.wbxml',
	'wmlc'  => 'application/vnd.wap.wmlc',
	'dcr'   => 'application/x-director',
	'dir'   => 'application/x-director',
	'dxr'   => 'application/x-director',
	'dvi'   => 'application/x-dvi',
	'gtar'  => 'application/x-gtar',
	'php'   => 'application/x-httpd-php',
	'php4'  => 'application/x-httpd-php',
	'php3'  => 'application/x-httpd-php',
	'phtml' => 'application/x-httpd-php',
	'phps'  => 'application/x-httpd-php-source',
	'sit'   => 'application/x-stuffit',
	'tar'   => 'application/x-tar',
	'tgz'   => 'application/x-tar',
	'xhtml' => 'application/xhtml+xml',
	'xht'   => 'application/xhtml+xml',
	'mid'   => 'audio/midi',
	'midi'  => 'audio/midi',
	'mpga'  => 'audio/mpeg',
	'mp2'   => 'audio/mpeg',
	'mp3'   => 'audio/mpeg',
	'aif'   => 'audio/x-aiff',
	'aiff'  => 'audio/x-aiff',
	'aifc'  => 'audio/x-aiff',
	'ram'   => 'audio/x-pn-realaudio',
	'rm'    => 'audio/x-pn-realaudio',
	'rpm'   => 'audio/x-pn-realaudio-plugin',
	'ra'    => 'audio/x-realaudio',
	'rv'    => 'video/vnd.rn-realvideo',
	'wav'   => 'audio/x-wav',
	'bmp'   => 'image/bmp',
	'gif'   => 'image/gif',
	'tiff'  => 'image/tiff',
	'tif'   => 'image/tiff',
	'css'   => 'text/css',
	
	'csv'   => 'text/csv',
	
	'html'  => 'text/html',
	'htm'   => 'text/html',
	'shtml' => 'text/html',
	'svg'   => 'image/svg+xml',
	'txt'   => 'text/plain',
	'text'  => 'text/plain',
	'log'   => 'text/plain',
	'rtx'   => 'text/richtext',
	'rtf'   => 'text/rtf',
	'xml'   => 'text/xml',
	'xsl'   => 'text/xml',
	'mpeg'  => 'video/mpeg',
	'mpg'   => 'video/mpeg',
	'mpe'   => 'video/mpeg',
	'qt'    => 'video/quicktime',
	'mov'   => 'video/quicktime',
	'avi'   => 'video/x-msvideo',
	'movie' => 'video/x-sgi-movie',
	'doc'   => 'application/msword',
	'word'  => 'application/msword',
	'xl'    => 'application/excel',
	'eml'   => 'message/rfc822',
	'hqx'   => 'application/mac-binhex40',
	'webm'	=> 'audio/webm'
);

?>